textures/storm3tourney4/xglow_floor
{
	qer_editorimage textures/storm3tourney4/xglow_floor.tga
	{
		map textures/storm3tourney4/xglow_floor.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/storm3tourney4/xglow_sfxlight.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 .5 .5	
		depthfunc equal
	}
}

textures/storm3tourney4/32_starlight_leather
{
	qer_editorimage textures/storm3tourney4/32_starlight_leather.tga
	q3map_surfacelight 900
	{
		map textures/storm3tourney4/32_starlight_leather.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/storm3tourney4/32_starlight_leather_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 .5 .5	
		//tcmod scroll 0 .5
		depthfunc equal
	}
}

textures/storm3tourney4/256_bluemetal_jpad
{
	qer_editorimage textures/storm3tourney4/256_bluemetal_jpad.tga
	q3map_surfacelight 400
	{
		map textures/storm3tourney4/256_bluemetal_jpad_fx.tga
                tcmod rotate 180
                tcMod stretch sin 0.8 0.1 0 .5
	}
	{
		map textures/storm3tourney4/256_bluemetal_jpad_fx2.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.1
		tcMod rotate -90
		rgbgen identity
	}
	{
		map textures/storm3tourney4/256_bluemetal_jpad.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/storm3tourney4/64_128_light
{
	qer_editorimage textures/storm3tourney4/64_128_light.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
	map textures/storm3tourney4/64_128_light_fx.tga
	rgbGen wave sin .5 .2 .5 .3
	}
	{
		map textures/storm3tourney4/64_128_light.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
}
textures/storm3tourney4/64_128_light2
{
	qer_editorimage textures/storm3tourney4/64_128_light2.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
	map textures/storm3tourney4/64_128_light_fx.tga
	tcMod scroll 0 0.3
	}
	{
		map textures/storm3tourney4/64_128_light2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
}

textures/storm3tourney4/trimlight1
{
	qer_editorimage textures/storm3tourney4/light2.tga
	q3map_lightimage textures/storm3tourney4/lighttrimfx.tga
	q3map_surfacelight 230
	surfaceparm nomarks
	{
		map textures/storm3tourney4/light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/storm3tourney4/lighttrimfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 .5 .1	
		//depthfunc equal
	}
}
textures/storm3tourney4/trimlight2
{
	qer_editorimage textures/storm3tourney4/light3.tga
	q3map_lightimage textures/storm3tourney4/lighttrimfx2.tga
	q3map_surfacelight 180
	surfaceparm nomarks
	{
		map textures/storm3tourney4/light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/storm3tourney4/lighttrimfx2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.8 .5	
		//depthfunc equal
	}
}
textures/storm3tourney4/trimlight3
{
	qer_editorimage textures/storm3tourney4/light4.tga
	q3map_lightimage textures/storm3tourney4/lighttrimfx3.tga
	q3map_surfacelight 230
	surfaceparm nomarks
	{
		map textures/storm3tourney4/light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/storm3tourney4/lighttrimfx3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 .5 .1	
		//depthfunc equal
	}
}

textures/storm3tourney4/32_128_light_trim_orange
{
	qer_editorimage textures/storm3tourney4/32_128_light_trim_orange.tga
	q3map_surfacelight 400
	{
		map textures/storm3tourney4/32_128_light_trim_orange.tga
                
	}
	
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/storm3tourney4/32_128_light_trim_blue
{
	qer_editorimage textures/storm3tourney4/32_128_light_trim_blue.tga
	q3map_surfacelight 800
	{
		map textures/storm3tourney4/32_128_light_trim_blue.tga
                
	}
	
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}